{ pkgs, home-manager, ... }:
{
  home-manager.users.willifan = {
    programs.firefox = {
      enable = true;
      profiles = {
        default = {
          id = 0;
          name = "default";
          isDefault = true;
          settings = {
            "browser.search.defaultenginename" = "DuckDuckGo";
            "browser.search.order.1" = "DuckDuckGo";
            "media.videocontrols.picture-in-picture.video-toggle.enabled" = false;
            "browser.aboutConfig.showWarning" = false;
            "browser.bookmarks.restore_default_bookmarks" = false;
            "browser.contentblocking.category" = "standard";
            "browser.toolbars.bookmarks.visibility" = "never";
            "browser.translations.panelShown" = false;
          };
          search = {
            force = true;
            default = "DuckDuckGo";
            order = [ "DuckDuckGo" "Google" ];
          };
          #extensions = with pkgs.nur.repos.rycee.firefox-addons; [
          #  ublock-origin
          #  bitwarden
          #  darkreader
          #  vimium
          #];


        };
      };
    };
  };
}



#user_pref("extensions.pictureinpicture.enable_picture_in_picture_overrides", true);
